Subject: bug#44933: 27.1; Ephemeral frame selection shrinks minibuffer

From: martin rudalics <[email-masked]>
Date: Wed, 2 Dec 2020 08:45:15 +0100

> I see, so redisplay could happen at any time, and redisplay can resize
 > the minibuffer window (contingent on `resize-mini-windows`). I guess
 > in the extreme case, any code could call the `redisplay` function
 > explicitly.

Yes.

 > Anyway, I’ll perform the instrumentation you suggest, so we can
 > understand specifically what is happening.

I forgot to say that _all_ normal mini window resizing goes through
'window--resize-root-window-vertically' in window.el.  So it will
probably suffice to instrument just that function (in an already running
Emacs only, else you have to rebuild because window.el is preloaded) and
don't have to tinker with C code at all.

martin